org.eclipse.viatra.query.runtime.registry

## Class ExtensionBasedQuerySpecificationLoader

- java.lang.Object
- - org.eclipse.viatra.query.runtime.registry.ExtensionBasedQuerySpecificationLoader

-     public class ExtensionBasedQuerySpecificationLoader
      extends java.lang.Object

  Loader for the `QuerySpecificationRegistry` based on the query group extensions generated by the VIATRA Query builder. The loader has a single instance that processes the extensions on demand if the platform is running, caches the results and updates the `QuerySpecificationRegistry`. Note that the loader does not perform class loading on the query group if possible.

  The class has a single instance accessible with `getInstance()`.

  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONNECTOR_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionBasedQuerySpecificationLoader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtensionBasedQuerySpecificationLoader` | `getInstance()`
    `IRegistrySourceConnector` | `getSourceConnector()` Return a source connector that can be used to load query specifications contributed through extensions into a `IQuerySpecificationRegistry`.
    `void` | `loadRegisteredQuerySpecificationsIntoRegistry()` Loads the query specifications that are registered through extension points into the `QuerySpecificationRegistry`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTOR_ID

          public static final java.lang.String CONNECTOR_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtensionBasedQuerySpecificationLoader

          public ExtensionBasedQuerySpecificationLoader()

  - ### Method Detail

    - #### getInstance

          public static ExtensionBasedQuerySpecificationLoader getInstance()

      Returns:
        the single instance of the loader.

    - #### loadRegisteredQuerySpecificationsIntoRegistry

          public void loadRegisteredQuerySpecificationsIntoRegistry()

      Loads the query specifications that are registered through extension points into the `QuerySpecificationRegistry`.

    - #### getSourceConnector

          public IRegistrySourceConnector getSourceConnector()

      Return a source connector that can be used to load query specifications contributed through extensions into a `IQuerySpecificationRegistry`.
      Returns:
        the source connector